Overview
Comment: | Added support for applying patches |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | packages |
Files: | files | file ages | folders |
SHA1: |
af79362c783d9ab93143d33adb873540 |
User & Date: | rkeene on 2014-11-12 08:04:31 |
Other Links: | branch diff | manifest | tags |
Context
2014-11-12
| ||
08:04 | Added "attr" package check-in: 5a12684aa8 user: rkeene tags: packages | |
08:04 | Added support for applying patches check-in: af79362c78 user: rkeene tags: packages | |
07:38 | Updated to build with latest version of dependencies if their version is not specified, otherwise, try to find one check-in: 5ceded1d7d user: rkeene tags: packages | |
Changes
Modified build from [68229c87b4] to [5526d031f2].
︙ | |||
72 73 74 75 76 77 78 79 80 81 82 83 84 85 | 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 | + + + + + + + + + + + + + + + + + + + + + + + + + + | unzip "${pkgarchive}" || die 'Unable to uncompress archive' ;; *) "${decompress}" -dc "${pkgarchive}" | tar -xf - || die 'Unable to uncompress archive' ;; esac } function apply_patches() { local patch for patch in "${pkgdir}/patches"/*; do if [ ! -e "${patch}" ]; then continue fi case "${patch}" in *.diff|*.patch) ;; *) continue ;; esac if [ -e "${patch}.sh" ]; then if ! sh "${patch}.sh"; then continue fi fi patch -p1 < "${patch}" done } function verifyRequiredPackages() { local pkg pkgdomain pkgversion local pkgdir pkgconfigdir pkgfound for pkg in "${require[@]}"; do pkgdomain='' |
︙ | |||
284 285 286 287 288 289 290 | 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 | - + - + | cd "${scriptdir}" || exit 1 if [ -f 'build.conf' ]; then . 'build.conf' fi if [ -d "pkgs/${pkg}" ]; then |
︙ | |||
333 334 335 336 337 338 339 340 341 342 343 344 345 346 | 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 | + + + | verifyPrerequisites || die 'Prerequisities failed' # Start logging set -x # Determine properties determinePrefix # Apply patches apply_patches # Start the build preconfigure || die 'preconfigure failed' configure || die 'configure failed' postconfigure || die 'postconfigure failed' prebuild || die 'prebuild failed' |
︙ |